LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_GIMA_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_GIMA_T Struct Reference
CHIP: LPC18xx/43xx GIMA driver

## Detailed Description

Global Input Multiplexer Array (GIMA) register block structure.

Definition at line 47 of file gima_18xx_43xx.h.

`#include "gima_18xx_43xx.h"`

## Data Fields
__IO uint32_t | CAP0_IN [4][4]
__IO uint32_t | CTIN_IN [8]
__IO uint32_t | ADCHS_TRIGGER_IN
__IO uint32_t | EVENTROUTER_13_IN
__IO uint32_t | EVENTROUTER_14_IN
__IO uint32_t | EVENTROUTER_16_IN
__IO uint32_t | ADCSTART0_IN
__IO uint32_t | ADCSTART1_IN

## Field Documentation

__IO uint32_t ADCHS_TRIGGER_IN

ADCHS trigger input multiplexer (GIMA output 24)

Definition at line 50 of file gima_18xx_43xx.h.

__IO uint32_t ADCSTART0_IN

ADC start0 input multiplexer (GIMA output 28)

Definition at line 54 of file gima_18xx_43xx.h.

__IO uint32_t ADCSTART1_IN

ADC start1 input multiplexer (GIMA output 29)

Definition at line 55 of file gima_18xx_43xx.h.

__IO uint32_t CAP0_IN[4][4]

< GIMA Structure Timer x CAP0_y capture input multiplexer (GIMA output ((x*4)+y))

Definition at line 48 of file gima_18xx_43xx.h.

__IO uint32_t CTIN_IN[8]

SCT CTIN_x capture input multiplexer (GIMA output (16+x))

Definition at line 49 of file gima_18xx_43xx.h.

__IO uint32_t EVENTROUTER_13_IN

Event router input 13 multiplexer (GIMA output 25)

Definition at line 51 of file gima_18xx_43xx.h.

__IO uint32_t EVENTROUTER_14_IN

Event router input 14 multiplexer (GIMA output 26)

Definition at line 52 of file gima_18xx_43xx.h.

__IO uint32_t EVENTROUTER_16_IN

Event router input 16 multiplexer (GIMA output 27)

Definition at line 53 of file gima_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/gima_18xx_43xx.h